Skip to main content
aboutsummaryrefslogtreecommitdiffstats
blob: 76bce6a5c25500cfa77420d951d68aa570c7d6ba (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %plugin.name
Bundle-SymbolicName: ch.ethz.iks.r_osgi.remote
Automatic-Module-Name: ch.ethz.iks.r_osgi.remote
Bundle-Version: 1.2.200.qualifier
Bundle-Vendor: %plugin.provider
Import-Package: org.eclipse.ecf.remoteservice;version="7.3.0",
 org.eclipse.ecf.remoteservice.asyncproxy;version="[1.0.0,3.0.0)",
 org.objectweb.asm;version="[5.0.1,7.0.0)",
 org.osgi.framework;version="[1.0.0,2.0.0)",
 org.osgi.service.event;version="[1.0.0,2.0.0)",
 org.osgi.service.log;version="[1.0.0,2.0.0)",
 org.osgi.service.packageadmin;version="[1.0.0,2.0.0)",
 org.osgi.util.tracker;version="[1.0.0,2.0.0)"
Export-Package: ch.ethz.iks.r_osgi;version="1.0.9",
 ch.ethz.iks.r_osgi.channels;version="1.0.1",
 ch.ethz.iks.r_osgi.messages;version="1.0.1",
 ch.ethz.iks.r_osgi.service_discovery;version="1.0.1",
 ch.ethz.iks.r_osgi.types;version="1.0.1",
 ch.ethz.iks.util;version="1.0.1"
DynamicImport-Package: *
Bundle-ClassPath: .
Bundle-Activator: ch.ethz.iks.r_osgi.impl.RemoteOSGiActivator
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Eclipse-LazyStart: true
Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
Require-Bundle: org.eclipse.ecf;bundle-version="[3.0.0,4.0.0)",
 org.eclipse.equinox.common;bundle-version="[3.0.0,4.0.0)"

Back to the top